Index: de/branches/Asteroid_HS17/data/levels/MiniGameTest.oxw
===================================================================
--- /code/branches/Asteroid_HS17/data/levels/MiniGameTest.oxw	(revision 11670)
+++ 	(revision )
@@ -1,59 +1,0 @@
-<LevelInfo
- name = "MiniGameTest"
- description = "Try to come as far as possible"
- tags = "minigame"
- screenshot = "DodgeRace.png"
-/>
-<?lua
-  include("stats.oxo")
-  include("templates/lodInformation.oxt")
-?>
-
-<?lua
-  include("templates/spaceshipAssff2.oxt")
-  include("templates/spaceshipPirate.oxt")
-  include("templates/spaceshipMiniGameTest.oxt")
-  include("templates/enemyInvader.oxt")
-  include("overlays/MiniGameTestHUD.oxo")
-?>
-
-<Level
-  plugins = minigametest
-  gametype = MiniGameTest
->
-  <templates>
-    <Template link=lodtemplate_default />
-  </templates>
-  <?lua include("includes/notifications.oxi") ?>
-
-  <Scene
-    ambientlight = "1.0, 1.0, 1.0"
-    skybox       = "Orxonox/Starbox"
-    negativeWorldRange = "-100000, -100000, -100000"
-    positiveWorldRange = " 100000,  100000,  100000"
-  >
-
-  <WorldAmbientSound
-    source="Earth.ogg"
-    looping="true"
-    playOnLoad="true"
-  />
-
-    <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
-    <Light type=directional position="-100, 10000, -700" lookat="0.2, -1, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-    <SpawnPoint team=0 position="0,0,0" lookat="0,0,0" spawnclass= MiniGameTestShip pawndesign=spaceshipminigametest />
-
-    <Model mesh="axes.mesh" scale=10 position="0,0,0" />
-
-    <DistanceTrigger name="start" position="-200,0,0" target="Pawn" distance=10 stayActive="true" delay=0 />
-
-
-    <MiniGameTestCenterPoint name=invadercenter />
-  
-
-    
-  
-    
-  </Scene>
-</Level>
-
Index: de/branches/Asteroid_HS17/data/levels/templates/spaceshipMiniGameTest.oxt
===================================================================
--- /code/branches/Asteroid_HS17/data/levels/templates/spaceshipMiniGameTest.oxt	(revision 11670)
+++ 	(revision )
@@ -1,133 +1,0 @@
-<Template name=spaceshipminigametest>
-  <MiniGameTestShip
-   hudtemplate            = spaceshiphud
-   camerapositiontemplate = spaceshipescortcameras
-   spawnparticlesource    = "Orxonox/fairytwirl"
-   spawnparticleduration  = 3
-   explosionchunks        = 4
-
-   health            = 40
-   maxhealth         = 40
-   initialhealth     = 40
-
-   shieldhealth        = 20
-   initialshieldhealth = 20
-   maxshieldhealth     = 20
-   shieldabsorption    = 0.1
-   shieldrechargerate  = 1
-   shieldrechargewaittime = 1
-
-   primaryThrust     = 150
-   auxilaryThrust    = 30
-   rotationThrust    = 50
-
-   lift = 1;
-   stallSpeed = 220;
-
-   boostPower            = 20
-   boostPowerRate        = 1
-   boostRate             = 5
-   boostCooldownDuration = 10
-
-   shakeFrequency = 15
-   shakeAmplitude = 6
-
-   collisionType     = "dynamic"
-   mass              = 4200000
-   linearDamping     = 0.9999999
-   angularDamping    = 0.9999999
-
-   collisiondamage = 100
-   enablecollisiondamage = true
-   
-  >
-    <engines>
-      <MultiStateEngine position=" 7.6, 0, 6" template=spaceshipinvaderengine />
-      <MultiStateEngine position="-7.6, 0, 0" template=spaceshipinvaderengine />
-    </engines>
-    <attached>
-      <Model position="0,0,0" yaw=90 pitch=0 roll=0 scale=4 mesh="escortShip.mesh" />
-      <Model position="0,0,0" yaw=180 pitch=90 roll=0 scale=4 mesh="escortWeapon.mesh" />
-<!--Model mesh="cube.mesh" mass=10 position="0,0,3" scale3D="10,4,8" />
-<Model mesh="cube.mesh" mass=10 position="12.6,-2,3" scale3D="2.8,2.8,11" />
-<Model mesh="cube.mesh" mass=10 position="-12.6,-2,3" scale3D="2.8,2.8,11" />
-<Model mesh="cube.mesh" mass=10 position="0,0,-12" scale3D="4,4,7" /-->
-    </attached>
-    <collisionShapes>
-      <BoxCollisionShape position="0    ,0 ,  3" halfExtents="10,   4,8" />
-      <BoxCollisionShape position="12.6 ,-2,  3" halfExtents="2.8,2.8,11"/>
-      <BoxCollisionShape position="-12.6,-2,  3" halfExtents="2.8,2.8,11"/>
-      <BoxCollisionShape position="0,     0,-12" halfExtents="4  , 4 ,7" />
-    </collisionShapes>
-    <explosion >
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_flash2" effect2="orxonox/explosion_flame2" />
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_shockwave2" effect2="orxonox/explosion_sparks2" />
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="orxonox/explosion_streak2" effect2="orxonox/explosion_afterglow" />
-
-      <ExplosionPart minspeed=0 maxspeed=0 effect1="Orxonox/explosion2b" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="CockpitDebris.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="BodyDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="WingDebris1.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-      <ExplosionPart mesh="WingDebris2.mesh" effect1="Orxonox/fire4" effect2="Orxonox/smoke6" />
-    </explosion>
-<?lua
-  include("../includes/invaderWeapon.oxi")
-?>
-  </MiniGameTestShip>
-</Template>
-
-<Template name=spaceshipescortcameras defaults=0>
-  <MiniGameTestShip>
-    <camerapositions>
-    <!--<CameraPosition position="0,100,180" direction="0, -0.2, -1" drag=false mouselook=true />
-    <CameraPosition position="0,200,250" direction="0, -0.4, -1" drag=false mouselook=true />
-    <CameraPosition position="0,30,150" direction="0, 0, -1" drag=false mouselook=true />
-    <CameraPosition position="0,1300,-100" direction="0, -1, 0" drag=false mouselook=true />
--->
-    <CameraPosition position="0,600,0" pitch=-90 absolute=true />
-    <CameraPosition position="0,50,160" drag=true mouselook=true />
-    <CameraPosition position="0,40,125" drag=true mouselook=true />
-    <CameraPosition position="0,30, 90" drag=true mouselook=true />
-    </camerapositions>
-  </MiniGameTestShip>
-</Template>
-
-<Template name=spaceshipinvaderengine baseclass=MultiStateEngine>
-  <MultiStateEngine
-   boostfactor    = 2.2
-
-   speedfront     = 200
-   speedback      =  70
-   speedleftright =  70
-   speedupdown    =  70
-
-   defEngineSndNormal = "sounds/Engine_low.ogg"
-   defEngineSndBoost = "sounds/Engine_high.ogg"
-
-   accelerationfront     = 700
-   accelerationbrake     = 700
-   accelerationback      =  125
-   accelerationleftright =  125
-   accelerationupdown    =  125
-  >
-    <EffectContainer condition="idle">
-      <WorldSound mainstate="activity" source="sounds/Engine_idle.ogg" looping=1 active=false/>
-    </EffectContainer>
-    <EffectContainer condition="not idle">
-      <FadingBillboard mainstate=activity active=false scale=0.09 position="12, -2, 13" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
-      <FadingBillboard mainstate=activity active=false scale=0.09 position="-12, -2, 13" colour="0.2, 1.0, 0.65, 1.0" material="Examples/Flare" turnontime=0.5 turnofftime=0.5 />
-    </EffectContainer>
-    <EffectContainer condition="normal or brake">
-
-    </EffectContainer>
-    <EffectContainer condition="normal or boost">
-      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, 0, 10" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-      <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, 0, 10" colour="0.2, 1.0, 0.65, 1.0" width=15 length=1500 lifetime=2 elements=50 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Flares/ThrusterFlare1" />
-    </EffectContainer>
-    <EffectContainer condition="boost">
-      <Backlight mainstate=activity active=false scale=0.33 name=bltest position=" 12, 0, 10" colour="0.6, 0.8, 0.75, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-      <Backlight mainstate=activity active=false scale=0.33 name=bltest position="-12, 0, 10" colour="0.6, 0.8, 0.75, 0.7" width=25 length=1000 lifetime=1 elements=30 trailmaterial="Trail/backlighttrail" turnontime=1 turnofftime=1 material="Examples/Flare" />
-    </EffectContainer>
-
-  </MultiStateEngine>
-</Template>
Index: de/branches/Asteroid_HS17/data/overlays/MiniGameTestHUD.oxo
===================================================================
--- /code/branches/Asteroid_HS17/data/overlays/MiniGameTestHUD.oxo	(revision 11670)
+++ 	(revision )
@@ -1,38 +1,0 @@
-<Template name="spectatorhud">
-  <OverlayGroup name = "spectatorhud" scale = "1, 1">
-  </OverlayGroup>
-</Template>
-
-<Template name="MiniGameTestHUD">
-  <OverlayGroup name="MiniGameTestHUD" scale = "1, 1">
-
-    <OverlayText
-     position  = "0.02, 0.02"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.04
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
-     caption   = "Points: "
-    />
-
-    <MiniGameTestHUDinfo
-     position  = "0.14, 0.02"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.04
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
-
-     showpoints     = true
-    />
-
-    
-  </OverlayGroup>
-</Template>
-
-<Template name="spaceshiphud">
-  <OverlayGroup name = "spaceshiphud" scale = "1, 1">
-    
- </OverlayGroup>
-</Template>
Index: de/branches/Asteroid_HS17/data/overlays/asteroidsHUD.oxo
===================================================================
--- /code/branches/Asteroid_HS17/data/overlays/asteroidsHUD.oxo	(revision 11670)
+++ 	(revision )
@@ -1,37 +1,0 @@
-<Template name="AsteroidsHUD">
-  <OverlayGroup name="AsteroidsHUD" scale = "1, 1">
-    <AsteroidsScore
-     position  = "0.9, 0.1"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.05
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
-    />
-
-    <OverlayText
-     position  = "0.7, 0.10"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.05
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
-
-     caption   = "Points: "
-    />
-    
-    <OverlayText
-     position  = "0.7, 0.20"
-     pickpoint = "0.0, 0.0"
-     font      = "ShareTechMono"
-     textsize  = 0.05
-     colour    = "1.0, 1.0, 1.0, 1.0"
-     align     = "left"
-
-     caption   = "Next Brick"
-    />
-    
-    
-
-  </OverlayGroup>
-</Template>
Index: /code/branches/Asteroid_HS17/src/modules/CMakeLists.txt
===================================================================
--- /code/branches/Asteroid_HS17/src/modules/CMakeLists.txt	(revision 11670)
+++ /code/branches/Asteroid_HS17/src/modules/CMakeLists.txt	(revision 11671)
@@ -46,4 +46,3 @@
 ADD_SUBDIRECTORY(hover)
 ADD_SUBDIRECTORY(superorxobros)
-ADD_SUBDIRECTORY(minigametest)
 ADD_SUBDIRECTORY(asteroids2D)