Index: code/branches/Presentation_HS17/data/levels/DialogShowcase.oxw
===================================================================
--- code/branches/Presentation_HS17/data/levels/DialogShowcase.oxw	(revision 11682)
+++ code/branches/Presentation_HS17/data/levels/DialogShowcase.oxw	(revision 11682)
@@ -0,0 +1,131 @@
+<LevelInfo
+ name = "DialogShowase"
+ description = "A level to show and test the functionality of the Dialog module."
+ tags = "test"
+ screenshot = "emptylevel.png"
+/>
+
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+  include("templates/HeavyCruiser.oxt")
+?>
+
+<?lua
+  include("templates/spaceshipEscort.oxt")
+  include("templates/endurancetest_template.oxt")
+?>
+
+<Level>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+  <?lua include("includes/notifications.oxi") ?>
+  
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
+  >
+ <DistanceTrigger name="test" position="100,0,100" target="Pawn" distance=25 stayActive="true" />
+ <Backlight position="100,0,100" visible=true frequency=0.6 amplitude=3 material="Flares/lensflare" colour="1,0,1"/>
+    
+    <Dialog name="Kurt" currentQuestionId="loop1">
+      <questions>
+        <Question Id="loop1" question="Wanna be looped?" >
+          <answerIds>
+            <AnswerId Id="yes"/>
+            <AnswerId Id="no"/>
+            <AnswerId Id="giveItToMe"/>
+          </answerIds>
+        </Question>
+        <Question Id="lorem" question="Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet." >
+          <answerIds>
+            <AnswerId Id="endIt"/>
+          </answerIds>
+        </Question>
+        <Question Id="loop2" question="Wanna be looped again?" >
+          <answerIds>
+            <AnswerId Id="yes"/>
+            <AnswerId Id="no"/>
+            <AnswerId Id="endIt"/>
+          </answerIds>
+        </Question>
+        <Question  Id="ok" question="Guess not then"/>
+      </questions>
+      <answers>
+        <Answer Id="giveItToMe" answer="Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet." nextQuestionId="lorem"/>
+        <Answer Id="yes" answer="yeah loop me" nextQuestionId="loop2"/>
+        <Answer Id="no" answer="i'd rather not" nextQuestionId="ok"/>
+        <Answer Id="endIt" answer="i will go now..." nextQuestionId="end"/>
+      </answers>
+      <events>
+        <execute>
+          <EventListener event="test"/>
+        </execute>
+      </events>
+    </Dialog>
+    
+
+
+
+  <DistanceTrigger name="troll" position="100,0,200" target="Pawn" distance=25 stayActive="true" />
+  <Backlight position="100,0,200" visible=true frequency=0.3 amplitude=3 material="Flares/lensflare" colour="1,0,1"/>
+  
+    <Dialog name="Rick" currentQuestionId="start">
+      <questions>
+        <Question Id= "start" question= "hey can you predect what i will do next?"> 
+          <answerIds>
+            <AnswerId Id="NeverGonnaGiveMeUp" />
+            <AnswerId Id="DontCare"/>
+            <AnswerId Id="Serious" />
+          </answerIds>
+        </Question>
+        
+        <Question Id= "WeAreNoStrangers" question= "We're no strangers to love. You know the rules and so do I. A full commitment's what I'm thinking of,
+You wouldn't get this from any other guy.">
+          <answerIds>
+            <AnswerId Id="whatIamFeeling"/>
+            <AnswerId Id="DontCare"/>
+            <AnswerId Id="IGoNow"/>
+          </answerIds>
+        </Question>
+        
+        <Question Id= "NeverGonnaLetYouDown" question= "Never gonna give you up
+Never gonna let you down
+Never gonna run around and desert you
+Never gonna make you cry
+Never gonna say goodbye
+Never gonna tell a lie and hurt you" >
+          <answerIds>
+            <AnswerId Id="Again"/>
+            <AnswerId Id="IGoNow"/>
+          </answerIds>
+        </Question>
+
+        <Question Id= "leave" question= "That was not what i had in mind but that is way better, thanks for the advidce. I will leave now."/>
+
+      </questions>
+    
+      <answers>
+        <Answer Id= "NeverGonnaGiveMeUp" nextQuestionId ="WeAreNoStrangers" answer= "wait are you the RICK?!" />
+        <Answer Id= "DontCare" nextQuestionId ="end" answer= "I could not care less" />
+        <Answer Id= "Serious" nextQuestionId ="leave" answer= "The same thing you do every night? - try to take over the world?" />
+        <Answer Id= "whatIamFeeling" nextQuestionId ="NeverGonnaLetYouDown" answer= "I just wanna tell you how I'm feeling, gotta make you understand" />
+        <Answer Id= "IGoNow" nextQuestionId ="" answer= "well that strange i guess i go now..." />
+        <Answer Id= "Again" nextQuestionId ="WeAreNoStrangers" answer= "I didn't quiet get it." />
+      </answers>
+
+      <events>
+          <execute>
+              <EventListener event="troll"/>
+          </execute>
+      </events>
+    </Dialog>
+    
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
+    
+  </Scene>
+</Level>
Index: code/branches/Presentation_HS17/data/levels/DialogueShowcase.oxw
===================================================================
--- code/branches/Presentation_HS17/data/levels/DialogueShowcase.oxw	(revision 11681)
+++ 	(revision )
@@ -1,79 +1,0 @@
-<LevelInfo
- name = "DialogueShowcase"
- description = "A level to show and test the functionality of the Dialogue module."
- tags = "test"
- screenshot = "emptylevel.png"
-/>
-
-<?lua
-  include("stats.oxo")
-  include("HUDTemplates3.oxo")
-  include("templates/lodInformation.oxt")
-  include("templates/HeavyCruiser.oxt")
-?>
-
-<?lua
-  include("templates/spaceshipEscort.oxt")
-  include("templates/endurancetest_template.oxt")
-?>
-
-<Level>
-  <templates>
-    <Template link=lodtemplate_default />
-  </templates>
-  <?lua include("includes/notifications.oxi") ?>
-  
-
-  <Scene
-    ambientlight = "0.8, 0.8, 0.8"
-    skybox       = "Orxonox/Starbox"
-  >
- <DistanceTrigger name="test" position="100,0,100" target="Pawn" distance=25 stayActive="true" />
-    <Backlight position="100,0,100" visible=true frequency=0.6 amplitude=3 material="Flares/lensflare" colour="1,0,1"/>
-    
-    <NextQuestion  question="Unknown Spaceship Transmission: Who goes there?" a1="(say your name)" a2="None of your business I'm afraid." >
-     <possibleQuestions> 
-        <NextQuestion  question="You're not cleared for this area, turn back." a1="Doesn't look too exciting here anyways." a2="You gotta make me try...(attack)" />
-        <NextQuestion  question="I'll make it my business. Only military allowed in this area." a1="Whoops, didn't know that, I'll be on my way then." a2="Got an important message for Sgt Smith though." >
-        <possibleQuestions>
-          <NextQuestion  question="Make sure I don't have to see your ugly face again." a1="...thanks, bye." a2="I'll think about it." />
-          <NextQuestion  question="Oh why didn't you say that in the first place? Off you go." a1="Thanks mate." a2="Just don't be so rude next time." />
-        </possibleQuestions>
-      </NextQuestion>
-      </possibleQuestions>    
-      <events>
-        <execute>
-           <EventListener event="test" />
-        </execute>
-      </events>
-    </NextQuestion>
-
-    <DistanceTrigger name="test1" position="100,0,-100" target="Pawn" distance=25 stayActive="true" />
-    <Backlight position="100,0,-100" visible=true frequency=0.6 amplitude=3 material="Flares/lensflare" colour="1,1,1"/>
-    
-    <NextQuestion  question="Hey,  sorry to bother you,  could you help me with something?" a1="Yeah sure." a2="Nope get lost." >
-     <possibleQuestions> 
-        <NextQuestion  question="Do you like fish" a1="...yes?" a2="This is wasting my time." >
-        <possibleQuestions>
-          <NextQuestion  question="Splendid! Would you like your ship to look like one?" a1="..." a2="I'm going now,  okay?" />
-          <NextQuestion  question="Turtles then?" a1="..." a2="Im going now,  okay?" />
-        </possibleQuestions>
-        </NextQuestion>
-        <NextQuestion  question="I can pay you know." a1="Got enough money." a2="...are you deaf? Bye."/>
-      </possibleQuestions>    
-      <events>
-        <execute>
-           <EventListener event="test1" />
-        </execute>
-      </events>
-    </NextQuestion>
-
-    
-
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
-    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
-
-    
-    
-  </Scene>
-</Level>